package com.wd.workoffice.bean.workEnum;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public enum PermissionType {
//    供应流程     PROCESS_SUPPLY    接单：SUPPLY_SELL      下单：SUPPLY_BUY
//*         内部交易流程 PROCESS_INSIDE    接单：INSIDE_SELL      下单：INSIDE_BUY
//
//*         坩埚流程     PROCESS_CRUCIBLE  接单：CRUCIBLE_SELL    下单：CRUCIBLE_BUY
//
//*         销售流程     PROCESS_SALE      接单：ES_SELL          下单：ES_BUY         查看：ES_GET
//
//*         外采购流程   PROCESS_PURCHASE  接单：PURCHASE_SELL    下单：PURCHASE_BUY
//
//*         维修流程     PROCESS_REPAIR    接单：REPAIR_SELL      下单：REPAIR_BUY
//*         财税流程     PROCESS_FISCAL_TAX 接单：FISCAL_TAX_SELL  下单：FISCAL_TAX_BUY


    PROCESS_SUPPLY("PROCESS_SUPPLY", "供应流程"), SUPPLY_SELL("SUPPLY_SELL", "接单"), SUPPLY_BUY("SUPPLY_BUY", "下单"),
    PROCESS_INSIDE("PROCESS_INSIDE", "内部交易流程"), INSIDE_SELL("INSIDE_SELL", "接单"), INSIDE_BUY("INSIDE_BUY", "下单"),

    PROCESS_CRUCIBLE("PROCESS_CRUCIBLE", "坩埚流程"), CRUCIBLE_SELL("CRUCIBLE_SELL", "接单"), CRUCIBLE_BUY("CRUCIBLE_BUY", "下单"),
    PROCESS_SALE("PROCESS_SALE", "销售流程"), ES_SELL("ES_SELL", "接单"), ES_BUY("ES_BUY", "下单"), ES_GET("ES_GET", "查看"),

    PROCESS_PURCHASE("PROCESS_PURCHASE", "外采购流程"), PURCHASE_SELL("PURCHASE_SELL", "接单"), PURCHASE_BUY("PURCHASE_BUY", "下单"),

    PROCESS_REPAIR("PROCESS_REPAIR", "维修流程"), REPAIR_SELL("REPAIR_SELL", "接单"), REPAIR_BUY("REPAIR_BUY", "下单"),
    PROCESS_FISCAL_TAX("PROCESS_FISCAL_TAX", "财税流程"), FISCAL_TAX_SELL("FISCAL_TAX_SELL", "接单"), FISCAL_TAX_BUY("FISCAL_TAX_BUY", "下单");


    private String code;
    private String name;

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    PermissionType(String code, String name) {
        this.code = code;
        this.name = name;
    }
}
